/*******************************************************************************
 * FoxSettingsWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSettingsWidget extends GFxObject within GFxMoviePlayer;

var bool bDropDownWidget;

function as_SetValue(float NewIndex)
{
    // End:0x32
    if(bDropDownWidget)
    {
        SetFloat("selectedIndex", NewIndex);
    }
    // End:0x46
    else
    {
        ActionScriptVoid("setValue");
    }
    //return;    
}

function SetEnabled(bool bEnabled)
{
    as_SetDisabled(!bEnabled);
    //return;    
}

function SetVisible(bool bVisible)
{
    SetBool("_visible", bVisible);
    //return;    
}

function as_UpdateListData(array<string> NewData)
{
    ActionScriptVoid("updateDataProvider");
    //return;    
}

function as_Hide()
{
    SetBool("_visible", false);
    //return;    
}

function as_SetDisabled(bool bDisabled)
{
    ActionScriptVoid("setDisabled");
    //return;    
}
